System.Web 2.0.0.0 System.Enum

The control manages its site navigation information as a collection of objects. objects represent functionally different types of nodes. Accordingly, they are managed by the control. The following list describes the types of nodes available:

One node that represent the currently viewed page.

One node that is the top node of the site navigation hierarchy.

Zero or more nodes between the top node and the current node (parent nodes).

Zero or more nodes that represent site navigation path separators.

Each node is data-bound to an underlying , except nodes of the type.

The enumeration is used by the control to identify the type of a node within a node hierarchy.

- Field
  System.Web.UI.WebControls.SiteMapNodeItemType

  The currently viewed page in the site navigation path.

  2.0.0.0
- Field
  System.Web.UI.WebControls.SiteMapNodeItemType

  A parent node of the currently viewed page in the site navigation path. A parent node is any node that is found between the root node and the current node in the navigation hierarchy.

  2.0.0.0
- Field
  System.Web.UI.WebControls.SiteMapNodeItemType

  A site map navigation path separator. The default separator for the control is the ">" character.

  2.0.0.0
- Field
  System.Web.UI.WebControls.SiteMapNodeItemType

  The top node of the site navigation hierarchy. There can be only one root node.

  2.0.0.0